net.sf.jasperreports.olap

## Class JRMondrianDataSource

- java.lang.Object
- - net.sf.jasperreports.olap.JROlapDataSource
  - - net.sf.jasperreports.olap.JRMondrianDataSource

- All Implemented Interfaces:
    JRDataSource, MappingMetadata

      public class JRMondrianDataSource
      extends JROlapDataSource

  Version:
    $Id: JRMondrianDataSource.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.olap.JROlapDataSource

      `JROlapDataSource.DataFieldMatcher, JROlapDataSource.FieldMatcher, JROlapDataSource.MemberFieldMatcher`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected mondrian.olap.Result` | `result`

    - ### Fields inherited from class net.sf.jasperreports.olap.JROlapDataSource

      `axes, axisPositions, dataField, fieldMatchers, fieldsMaxDepths, fieldValues, first, hierarchiesCount, iterate, iteratePositions, maxDepths, olapResult, queryHierarchies`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRMondrianDataSource(JRDataset dataset, mondrian.olap.Result result)`

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.olap.JROlapDataSource

      `getDimensionIndex, getFieldMapping, getFieldValue, getLevelDepth, getTuplePosition, matchesDimensionName, next, nextPositions, processMemberInfo, setMatchMemberDepth`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### result

          protected final mondrian.olap.Result result

  - ### Constructor Detail

    - #### JRMondrianDataSource

          public JRMondrianDataSource(JRDataset dataset,
                              mondrian.olap.Result result)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com